Module org.hdfgroup.hdfview
Package hdf.view.TableView

# Class DefaultCompoundDSTableView

Object
hdf.view.TableView.DefaultBaseTableView
hdf.view.TableView.DefaultCompoundDSTableView

All Implemented Interfaces:
  `DataView`, `TableView`

public class DefaultCompoundDSTableView extends DefaultBaseTableView implements TableView
A class to construct a CompoundDS TableView.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class hdf.view.TableView.DefaultBaseTableView

  `DefaultBaseTableView.ColumnHeader, DefaultBaseTableView.EditingGridLayer, DefaultBaseTableView.RefContextMenu, DefaultBaseTableView.RowHeader, DefaultBaseTableView.RowHeaderDataProvider, DefaultBaseTableView.ViewType`

- ## Field Summary

  ### Fields inherited from class hdf.view.TableView.DefaultBaseTableView

  `binaryOrder, bitmask, bitmaskOP, cellLabel, cellValueField, checkBin, checkCustomNotation, checkEnum, checkFixedDataLength, checkHex, checkScientificNotation, columnHeaderDataProvider, curFont, customFormat, dataDisplayConverter, dataLayer, dataObject, dataProvider, dataTable, dataValue, fillValue, fixedDataLength, indexBase, indexBaseGroup, isDataTransposed, isDisplayTypeChar, isEnumConverted, isObjRef, isReadOnly, isRegRef, isStdRef, normalFormat, numberFormat, rowHeaderDataProvider, scientificFormat, selectionLayer, shell, showAsBin, showAsHex, viewer, viewType`

  ### Fields inherited from interface hdf.view.DataView.DataView

  `DATAVIEW_IMAGE, DATAVIEW_TABLE, DATAVIEW_UNKNOWN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultCompoundDSTableView(DataViewManager theView)`
  Constructs a CompoundDS TableView with no additional data properties.
  `DefaultCompoundDSTableView(DataViewManager theView, HashMap dataPropertiesMap)`
  Constructs a CompoundDS TableView with the specified data properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.eclipse.nebula.widgets.nattable.NatTable`
  `createTable(org.eclipse.swt.widgets.Composite parent, DataFormat dataObject)`
  Creates a NatTable for a Compound dataset
  `protected org.eclipse.nebula.widgets.nattable.config.IEditableRule`
  `getDataEditingRule(DataFormat dataObject)`
  Returns an IEditableRule that determines whether cells can be edited.
  `Object`
  `getSelectedData()`
  Returns the selected data values of the ScalarDS
  `protected void`
  `loadData(DataFormat dataObject)`
  Loads the data buffer of an object.
  `protected void`
  `showObjRefData(byte[] refarr)`
  Display data pointed to by object references.
  `protected void`
  `showRegRefData(byte[] refarr)`
  Display data pointed to by region references.
  `protected void`
  `showStdRefData(byte[] refarr)`
  Show the standard reference data.

  ### Methods inherited from class hdf.view.TableView.DefaultBaseTableView

  `createMenuBar, getDataLayer, getDataObject, getSelectedColumnCount, getSelectedRowCount, getSelectionLayer, getTable, importBinaryData, importTextData, refreshDataTable, saveAsBinary, saveAsText, updateDataConversionSettings, updateValueInFile`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface hdf.view.DataView.DataView

  `getDataObject`

  ### Methods inherited from interface hdf.view.TableView.TableView

  `getSelectedColumnCount, getSelectedRowCount, getTable, refreshDataTable, updateValueInFile`

- ## Constructor Details

  - ### DefaultCompoundDSTableView

    public DefaultCompoundDSTableView(DataViewManager theView)
    Constructs a CompoundDS TableView with no additional data properties.
    Parameters:
      `theView` - the main HDFView.

  - ### DefaultCompoundDSTableView

    public DefaultCompoundDSTableView(DataViewManager theView, HashMap dataPropertiesMap)
    Constructs a CompoundDS TableView with the specified data properties.
    Parameters:
      `theView` - the main HDFView.
      `dataPropertiesMap` - the properties on how to show the data. The map is used to allow applications to pass properties on how to display the data, such as: transposing data, showing data as characters, applying a bitmask, and etc. Predefined keys are listed at ViewProperties.DATA_VIEW_KEY.

- ## Method Details

  - ### loadData

    protected void loadData(DataFormat dataObject) throws Exception
    Description copied from class: `DefaultBaseTableView`
    Loads the data buffer of an object.
    Overrides:
      `loadData` in class `DefaultBaseTableView`
    Parameters:
      `dataObject` - the object that has the buffer for the data.
    Throws:
      `Exception` - if a failure occurred

  - ### createTable

    protected org.eclipse.nebula.widgets.nattable.NatTable createTable(org.eclipse.swt.widgets.Composite parent, DataFormat dataObject)
    Creates a NatTable for a Compound dataset
    Specified by:
      `createTable` in class `DefaultBaseTableView`
    Parameters:
      `parent` - The parent for the NatTable
      `dataObject` - The Compound dataset for the NatTable to display
    Returns:
      The newly created NatTable

  - ### getSelectedData

    public Object getSelectedData()
    Returns the selected data values of the ScalarDS
    Specified by:
      `getSelectedData` in interface `TableView`
    Returns:
      array of selected data

  - ### getDataEditingRule

    protected org.eclipse.nebula.widgets.nattable.config.IEditableRule getDataEditingRule(DataFormat dataObject)
    Returns an IEditableRule that determines whether cells can be edited. Cells can be edited as long as the dataset is not opened in read-only mode and the data is not currently displayed in hexadecimal, binary, or character mode.
    Specified by:
      `getDataEditingRule` in class `DefaultBaseTableView`
    Parameters:
      `dataObject` - The dataset for editing
    Returns:
      a new IEditableRule for the dataset

  - ### showStdRefData

    protected void showStdRefData(byte[] refarr)
    Description copied from class: `DefaultBaseTableView`
    Show the standard reference data.
    Specified by:
      `showStdRefData` in class `DefaultBaseTableView`
    Parameters:
      `refarr` - the identifier for the standard reference.

  - ### showObjRefData

    protected void showObjRefData(byte[] refarr)
    Display data pointed to by object references. Data of each object is shown in a separate spreadsheet.
    Specified by:
      `showObjRefData` in class `DefaultBaseTableView`
    Parameters:
      `refarr` - the array of bytes that contain the object reference information.

  - ### showRegRefData

    protected void showRegRefData(byte[] refarr)
    Display data pointed to by region references. Data of each region is shown in a separate spreadsheet.
    Specified by:
      `showRegRefData` in class `DefaultBaseTableView`
    Parameters:
      `refarr` - the array of bytes that contain the reg. ref information.